
Katello - Bug #6461

Invalid resource types show up in the permission filters screen 

07/01/2014 02:37 PM - Partha Aji

Status: Closed   

Priority: Normal   

Assignee: Stephen Benjamin   

Category: Hosts   

Target version: Katello 2.0   

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1115169 Red Hat JIRA:  

Pull request:    

Description

1) Go to Roles -> Filters -> New Filter

2) Select the resource types drop down

Notice some of the values there

Katello::ActivationKey

Katello::ContentView

Katello::GpgKeys

Katelo::....

......

Activation Key

Content View

.....

The Katello::ActivationKey maps directly to "Activation Key" so they should not show up as separate attributes.

Related issues:

Related to Foreman - Bug #6482: Engine Models are Duplicated in Permssions Re... Rejected 07/03/2014

Associated revisions

Revision 7edd07ba - 07/10/2014 06:06 AM - Stephen Benjamin

fixes #6461 - create Katello permissions without quotes in db seeds

Katello seeds was creating incorrect permissions in the Foreman DB by

adding a set of superflous quotes -- e.g., "'Katello::ActivationKey'".

This commit removes the extra quotes.

Revision 8ce4fab6 - 07/10/2014 10:30 AM - Walden Raines

Merge pull request #4415 from stbenjam/6461-duplicates

fixes #6461 - create Katello permissions without quotes in db seeds

History

#1 - 07/01/2014 02:41 PM - Partha Aji

- Bugzilla link set to 1115169

#2 - 07/03/2014 09:10 AM - Eric Helms

- Related to Bug #6482: Engine Models are Duplicated in Permssions Resources added

#3 - 07/07/2014 01:25 PM - Eric Helms

- Category set to 83

- Assignee set to Stephen Benjamin

- Target version set to 49

- Difficulty set to easy
- Triaged changed from No to Yes

#4 - 07/10/2014 06:12 AM - Stephen Benjamin

- Status changed from New to Ready For Testing

PR https://github.com/Katello/katello/pull/4415

#5 - 07/10/2014 11:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|7edd07ba7798ba2727c781baafdae854e3f884df.

#6 - 08/22/2014 08:59 AM - Eric Helms

- translation missing: en.field_release set to 13
